%define module_name Youri-Config
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(Pod/Usage.pm) perl(Test/Exception.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(YAML/AppConfig.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(YAML/Syck.pm)

Name: perl-%module_name
Version: 0.2.4
Release: alt1
Summary: Youri configuration handler
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GROUSSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class handle configuration for all YOURI applications.

The command line specification is used to manage arguments through
Getopt::Long. Unless  --config argument is given, the list of directories is
then scanned for a file with given name, and halt as soon as it find one. If no
readable file is found, an exception is thrown. The file is then processed
through YAML::AppConfig. If parsing fails, an exception is thrown.


%prep
%setup -q -n %{module_name}-%{version}
rm -f t/[0-9][-_]kwalitee.t t/[0-9][0-9][-_]kwalitee.t t/[0-9]kwalitee.t t/[0-9][0-9]kwalitee.t t/kwalitee.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ChangeLog
%perl_vendor_privlib/Y*

%changelog
* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1
- regenerated from template by package builder

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- initial import by package builder

